---
updatedAt: 2026-04-05T17:14:58.000Z
agentTools:
  siteIndex: https://docs.jfrog.com/llms.txt
  projectIndex: https://docs.jfrog.com/projects/llms.txt
---

# Get Projects List for a Global Role

Returns a list of projects where a specific global role is used.


**Availability:** Artifactory 7.117.0+


**Security:** Requires Platform Admin privileges.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "JFrog Platform - Projects API",
    "description": "Projects APIs for the JFrog Platform.\n**Authentication:** Access Tokens as bearer token in authorization header (Authorization: Bearer `<token>`)\n**Security:** Security requirements vary per operation. See individual operation descriptions for details.\n",
    "version": "1.0.0",
    "contact": {
      "name": "JFrog Support"
    }
  },
  "servers": [
    {
      "url": "https://{jfrog_url}"
    }
  ],
  "tags": [
    {
      "name": "Projects",
      "description": "APIs for creating, retrieving, updating, and deleting projects in the JFrog Platform."
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/access/api/v2/projects": {
      "get": {
        "tags": [
          "Projects"
        ],
        "summary": "Get Projects List for a Global Role",
        "description": "Returns a list of projects where a specific global role is used.\n\n**Availability:** Artifactory 7.117.0+\n\n**Security:** Requires Platform Admin privileges.\n",
        "operationId": "getProjectsForRole",
        "parameters": [
          {
            "name": "role_name",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Filter results by role. Only global roles are supported."
          },
          {
            "name": "limit",
            "in": "query",
            "schema": {
              "type": "integer",
              "minimum": 1,
              "default": 1000
            },
            "description": "Allows you to control the number of results. The valid value is a minimum of 1, and the default value is 1,000."
          },
          {
            "name": "descending_order",
            "in": "query",
            "schema": {
              "type": "boolean"
            },
            "description": "When set to true, the result will be ordered by project name."
          },
          {
            "name": "cursor",
            "in": "query",
            "schema": {
              "type": "string"
            },
            "description": "Divides the list of results and shows those that fall after the cursor for pagination purposes."
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "projects": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "name": {
                            "type": "string",
                            "description": "The project display name"
                          },
                          "projectKey": {
                            "type": "string",
                            "description": "The project key"
                          }
                        }
                      }
                    },
                    "cursor": {
                      "type": "string"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Bad Credentials - Invalid credentials",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "403": {
            "description": "Permission Denied - Insufficient permissions",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "404": {
            "description": "Not Found - The request payload was not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Access Token as bearer token"
      }
    },
    "schemas": {
      "Error": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Machine-readable error code (e.g. BAD_REQUEST, UNAUTHORIZED, NOT_FOUND, CONFLICT)."
          },
          "message": {
            "type": "string",
            "description": "Human-readable error message."
          }
        }
      },
      "ErrorResponse": {
        "type": "object",
        "description": "Standard error envelope returned for all 4xx responses by the JFrog Projects API.",
        "properties": {
          "errors": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false
  }
}
```